Subject: Re: calloc() more then 140MB under cygwin b19.1?
From: [email-masked] (Jeff Sturm)

10 Sep 1998 10:55:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

With B19.3, I can easily calloc() memory until my paging space is
exhausted, over 300MB.  It works exactly as expected.

I'd suggest watching your paging and CPU activity in Performance
Monitor.  It sure sounds like a memory-starved program.  Unless your
program makes a lot of system calls, I doubt you'll see a big
performance difference between Interix, U/WIN and cygwin32.

[email-masked] wrote:
> 
> Hi,
> 
> I finally was forced to test cygwin b19.1, because my prog runs for hours
> under Interix (formerly OpenNT), whereas it's extremely fast under Linux,
> using about 300 out of 512MB RAM.
> 
> Under b19.1, I get NULL from calloc() after only about 140MB.
> Isn't HEAP_CHUNK_SIZE eliminated? At least I got no such messages...
> 
> BTW, while I'm typing this, I'm also testing UWIN 1.51 with egcs.
> It's not yet finished and took already seven times the CPU of Linux!
> Could it be a general NT4.0SP3 alloc/free performance problem?
> 
> Bye, Heribert ([email-masked])
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".